; ModuleID = 'PieNum'

@fmt = private unnamed_addr constant [4 x i8] c"%d\0A\00"
@fmt.1 = private unnamed_addr constant [4 x i8] c"%s\0A\00"
@fmt.2 = private unnamed_addr constant [4 x i8] c"%f\0A\00"

declare i32 @read_image(i8*)

declare i32 @printf(i8*, ...)

declare i32 @printm_float(i8*, double, double)

declare double @conv_to_float(i32)

declare i32 @matread_float(i8*, i8*, i32, i32)

declare i32 @matwrite_float(i8*, i8*, i32, i32)

define i32 @main() {
entry:
  %printf = call i32 (i8*, ...) @printf(i8* getelementptr inbounds ([4 x i8], [4 x i8]* @fmt, i32 0, i32 0), i32 1)
  ret i32 0
}

declare i8* @calloc(i32, i32)
